chore: explicitly check for exit code 0 for create_archive_and_notes.sh grep
diff --git a/.github/workflows/create_archive_and_notes.sh b/.github/workflows/create_archive_and_notes.sh
index 444569c..510dbf4 100755
--- a/.github/workflows/create_archive_and_notes.sh
+++ b/.github/workflows/create_archive_and_notes.sh
@@ -24,7 +24,8 @@
   --exclude=release_test.py \
   --exclude-dir=.* \
   VERSION_NEXT_ -r
-if $?; then
+grep_exit_code=$?
+if $grep_exit_code -ne 0; then
   echo
   echo "Found VERSION_NEXT markers indicating version needs to be specified"
   exit 1